[gant] 38/51: debian/watch: Track the release tags on GitHub

Emmanuel Bourg ebourg-guest at moszumanska.debian.org
Fri Jul 31 12:07:12 UTC 2015


This is an automated email from the git hooks/post-receive script.

ebourg-guest pushed a commit to branch master
in repository gant.

commit d5e5f2d80cc95176cfeeb065e6385f144eb7e75c
Author: Emmanuel Bourg <ebourg at apache.org>
Date:   Fri Jul 31 12:20:42 2015 +0200

    debian/watch: Track the release tags on GitHub
---
 debian/changelog   |  7 +++++++
 debian/orig-tar.sh | 30 +++++++++++++++---------------
 debian/watch       |  2 +-
 3 files changed, 23 insertions(+), 16 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 472508b..e3f29f3 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+gant (1.9.9-4) UNRELEASED; urgency=medium
+
+  * Team upload.
+  * debian/watch: Track the release tags on GitHub
+
+ -- Emmanuel Bourg <ebourg at apache.org>  Fri, 31 Jul 2015 12:20:15 +0200
+
 gant (1.9.9-3.1) UNRELEASED; urgency=medium
 
   * Non-maintainer upload.
diff --git a/debian/orig-tar.sh b/debian/orig-tar.sh
index 1772f76..372b672 100755
--- a/debian/orig-tar.sh
+++ b/debian/orig-tar.sh
@@ -1,17 +1,17 @@
-#!/bin/sh -e
+#!/bin/sh
+set -e
 
-# called by uscan with '--upstream-version' <version> <file>
-DIR=gant-$2.orig
+PACKAGE=$(dpkg-parsechangelog -S Source)
+VERSION=$2
+DIR=${PACKAGE}-${VERSION}
+TAR=../${PACKAGE}_${VERSION}.orig.tar.xz
 
-# clean up the upstream tarball
-tar zxf $3
-mv gant-$2 $DIR
-GZIP=--best tar -c -z -f $3 --exclude '*.jar' $DIR
-rm -rf $DIR
-
-# move to directory 'tarballs'
-if [ -r .svn/deb-layout ]; then
-  . .svn/deb-layout
-  mv $3 $origDir
-  echo "moved $3 to $origDir"
-fi
+mkdir $DIR
+tar -xf $3 --strip-components=1 -C $DIR
+rm $3
+XZ_OPT=--best tar -c -v -J -f $TAR \
+    --exclude '*.jar' \
+    --exclude 'gradle/wrapper' \
+    --exclude 'gradlew*' \
+    $DIR
+rm -Rf $DIR
diff --git a/debian/watch b/debian/watch
index b6660f1..f5c6a68 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,2 +1,2 @@
 version=3
-http://dist.codehaus.org/gant/distributions/gant_src-([\d\.]+)\.tgz debian debian/orig-tar.sh
+https://github.com/Gant/Gant/tags .*/([\d\.]+).tar.gz debian debian/orig-tar.sh

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-java/gant.git



More information about the pkg-java-commits mailing list